"use strict";
exports.__esModule = true;
var KeyboardTransitionTimer = /** @class */ (function () {
    function KeyboardTransitionTimer() {
        this.timer = undefined;
    }
    KeyboardTransitionTimer.prototype.present = function () {
        return !!this.timer;
    };
    KeyboardTransitionTimer.prototype.set = function (callback, ms) {
        this.reset();
        this.timer = setTimeout(callback, ms);
    };
    KeyboardTransitionTimer.prototype.reset = function () {
        if (this.timer) {
            clearTimeout(this.timer);
        }
        this.timer = undefined;
    };
    return KeyboardTransitionTimer;
}());
exports.KeyboardTransitionTimer = KeyboardTransitionTimer;
var createTimer = function () { return new KeyboardTransitionTimer(); };
exports["default"] = createTimer;
