"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
var react_native_1 = require("react-native");
var phoneDevices_1 = __importDefault(require("./phoneDevices"));
var tabletDevices_1 = __importDefault(require("./tabletDevices"));
exports.devices = phoneDevices_1["default"].concat(tabletDevices_1["default"]);
exports.getDeviceOrientation = function () {
    var _a = react_native_1.Dimensions.get("window"), height = _a.height, width = _a.width;
    return width > height ? "landscape" : "portrait";
};
exports.getDeviceModel = function () {
    var _a = react_native_1.Dimensions.get("window"), height = _a.height, width = _a.width;
    return exports.devices.find(function (device) {
        return device.screenDimensions.has(width) && device.screenDimensions.has(height);
    });
};
