"use strict";
exports.__esModule = true;
var closedKeyboardHandler = function (args) {
    var event = args.event, updateKeyboardState = args.updateKeyboardState, deviceOrientation = args.deviceOrientation, deviceModel = args.deviceModel;
    var _a = deviceModel.keyboardDimensions[deviceOrientation], split = _a.split, docked = _a.docked, minimized = _a.minimized;
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === split) {
        updateKeyboardState("SPLIT");
        return;
    }
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === docked) {
        updateKeyboardState("UNDOCKED");
        return;
    }
    if (event.eventType === "keyboardDidChangeFrame" &&
        event.endCoordinates.height === minimized) {
        updateKeyboardState("MINIMIZED");
        return;
    }
};
exports["default"] = closedKeyboardHandler;
