"use strict";
exports.__esModule = true;
var dockedKeyboardHandler = function (args) {
    var event = args.event, updateKeyboardState = args.updateKeyboardState, deviceModel = args.deviceModel, deviceOrientation = args.deviceOrientation;
    if (event.eventType === "keyboardDidHide") {
        updateKeyboardState("CLOSED");
        return;
    }
    if (event.eventType === "keyboardDidShow" &&
        event.endCoordinates.height ===
            deviceModel.keyboardDimensions[deviceOrientation].minimized) {
        updateKeyboardState("MINIMIZED");
        return;
    }
};
exports["default"] = dockedKeyboardHandler;
